### Method

# Gimp Curve set_curve_type

since: 3.2

#### Declaration [src]

    void
    gimp_curve_set_curve_type (
      GimpCurve* curve,
      GimpCurveType curve_type
    )

#### Description [src]

Sets the curve type of `curve`, as follows:

- Nothing happens if the curve type is unchanged.
- If you change to `GIMP_CURVE_SMOOTH`, it will create a non-specified number of points and will approximate their position along the freehand curve. All default points will be `GIMP_CURVE_POINT_SMOOTH`.
- If you change to `GIMP_CURVE_FREE`, all existing points will be cleared.

Available since: 3.2

Sets property | `Gimp.Curve:curve-type`

#### Parameters

`curve_type`

  Type: `GimpCurveType`

  The new curve type.